#ifndef __services__anilist_h
#define __services__anilist_h

#include <string>
#include <vector>

namespace Services {
namespace AniList {

bool AuthorizeUser();

/* Read queries */
int GetAnimeList();

/* Search query */
std::vector<int> Search(const std::string& search);

/* Write queries (mutations) */
int UpdateAnimeEntry(int id);

} // namespace AniList
} // namespace Services

#endif // __services__anilist_h
